---
updatedAt: 2025-02-20T00:43:38.000Z
agentTools:
  projectIndex: https://developer.threekit.com/llms.txt
---

# Get Run Reports

Retrieves the report of all runs of a given organization.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Jobs Service API",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://preview.threekit.com/api"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/jobs/reports": {
      "get": {
        "parameters": [
          {
            "$ref": "#/components/parameters/orgIdReportParameter"
          },
          {
            "$ref": "#/components/parameters/publicTokenParameter"
          }
        ],
        "tags": [
          "Runs"
        ],
        "summary": "Get Run Reports",
        "description": "Retrieves the report of all runs of a given organization.",
        "operationId": "getReports",
        "responses": {
          "200": {
            "$ref": "#/components/responses/getReports200"
          },
          "401": {
            "$ref": "#/components/responses/errorJob401"
          },
          "403": {
            "$ref": "#/components/responses/noToken403"
          },
          "404": {
            "$ref": "#/components/responses/getReports404"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Private acccess token used to authorize the request. Requests from the browser are not supported"
      }
    },
    "parameters": {
      "publicTokenParameter": {
        "in": "query",
        "name": "bearer_token",
        "description": "Public access token used to authorize the request. Requests may only come from the token's allowed domains. **This parameter is mandatory when making requests from a browser. Outside of the browser instead supply a bearer header using a private access token**. A public token has read-only permissions whereas a private token has read and write permissions.",
        "schema": {
          "type": "string"
        },
        "example": "a47ff0e6-6c23-4b22-a5ea-1fde90164f83"
      },
      "orgIdReportParameter": {
        "in": "query",
        "name": "orgId",
        "description": "Organization ID",
        "required": true,
        "schema": {
          "type": "string"
        },
        "example": "d92e91dc-6668-4730-86f2-f3e9000b58a2"
      }
    },
    "responses": {
      "noToken403": {
        "description": "No token was provided in the query string of the request",
        "content": {
          "application/json": {
            "examples": {
              "No Token": {
                "summary": "A user makes a request without provided an access token in the query string of the request",
                "value": {
                  "error": {
                    "code": "forbidden",
                    "message": "forbidden"
                  }
                }
              }
            }
          }
        }
      },
      "errorJob401": {
        "description": "User is not authenticated. They must be authenticated to use this service.",
        "content": {
          "application/json": {
            "examples": {
              "unauthenticated": {
                "summary": "A user making a request without any valid auth token.",
                "value": {
                  "error": {
                    "code": "users_service_unavailable",
                    "message": "Error reaching users service"
                  }
                }
              }
            }
          }
        }
      },
      "getReports200": {
        "description": "Successful get request, response body will include the reports",
        "content": {
          "application/json": {
            "examples": {
              "myReports": {
                "summary": "An example of successfully retrieving list of jobs",
                "value": {
                  "runs": [
                    {
                      "createdBy": "0181daf0-2972-446b-9ec6-f7aa941f7da0",
                      "jobTitle": "Example Job Title",
                      "orgId": "0837c9a7-d5c6-4438-85b1-4f69579bf0a0",
                      "progress": 1,
                      "startedAt": "2020-03-18T21:29:21.944Z",
                      "stoppedAt": "2020-03-18T21:29:27.349Z",
                      "title": "Example Title",
                      "type": "Example Type"
                    },
                    {
                      "createdBy": "ac1e6307-56b4-4221-a08f-ff7bcf29b1a3",
                      "jobTitle": "Example Job Title",
                      "orgId": "d1240e2f-ad13-4143-bba1-b6287fa948d8",
                      "progress": 1,
                      "startedAt": "2020-02-10T17:19:43.491Z",
                      "stoppedAt": "2020-02-10T17:19:49.948Z",
                      "title": "Example Title",
                      "type": "Example Type"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "getReports404": {
        "description": "User forgot to pass the organization ID",
        "content": {
          "application/json": {
            "examples": {
              "reports404": {
                "summary": "A user forgot to pass the organization ID",
                "value": {
                  "error": {
                    "code": "runs_not_found",
                    "message": "Runs not found"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```